# frozen_string_literal: true

module Signalwire::Relay
end

require 'signalwire/relay/constants'
require 'signalwire/relay/client'
require 'signalwire/relay/request'
require 'signalwire/relay/event'
require 'signalwire/relay/consumer'

require 'signalwire/relay/calling'
require 'signalwire/relay/calling/call_convenience_methods'
require 'signalwire/relay/calling/call_detect_methods'
require 'signalwire/relay/calling/call'

require 'signalwire/relay/task'

require 'signalwire/relay/calling/action'
require 'signalwire/relay/calling/action/connect_action'
require 'signalwire/relay/calling/action/detect_action'
require 'signalwire/relay/calling/action/play_action'
require 'signalwire/relay/calling/action/prompt_action'
require 'signalwire/relay/calling/action/record_action'
require 'signalwire/relay/calling/action/fax_action'
require 'signalwire/relay/calling/action/tap_action'
require 'signalwire/relay/calling/action/send_digits_action'

require 'signalwire/relay/calling/result'
require 'signalwire/relay/calling/result/answer_result'
require 'signalwire/relay/calling/result/base_action_result'
require 'signalwire/relay/calling/result/connect_result'
require 'signalwire/relay/calling/result/detect_result'
require 'signalwire/relay/calling/result/dial_result'
require 'signalwire/relay/calling/result/hangup_result'
require 'signalwire/relay/calling/result/play_result'
require 'signalwire/relay/calling/result/play_pause_result'
require 'signalwire/relay/calling/result/play_resume_result'
require 'signalwire/relay/calling/result/play_volume_result'
require 'signalwire/relay/calling/result/prompt_result'
require 'signalwire/relay/calling/result/prompt_volume_result'
require 'signalwire/relay/calling/result/record_result'
require 'signalwire/relay/calling/result/fax_result'
require 'signalwire/relay/calling/result/tap_result'
require 'signalwire/relay/calling/result/send_digits_result'

require 'signalwire/relay/calling/result/stop_result'

require 'signalwire/relay/calling/component'
require 'signalwire/relay/calling/control_component'
require 'signalwire/relay/calling/component/answer'
require 'signalwire/relay/calling/component/connect'
require 'signalwire/relay/calling/component/detect'
require 'signalwire/relay/calling/component/dial'
require 'signalwire/relay/calling/component/hangup'
require 'signalwire/relay/calling/component/play'
require 'signalwire/relay/calling/component/prompt'
require 'signalwire/relay/calling/component/record'
require 'signalwire/relay/calling/component/await'
require 'signalwire/relay/calling/component/base_fax'
require 'signalwire/relay/calling/component/fax_send'
require 'signalwire/relay/calling/component/fax_receive'
require 'signalwire/relay/calling/component/tap'
require 'signalwire/relay/calling/component/send_digits'

require 'signalwire/relay/messaging'
require 'signalwire/relay/messaging/message'
require 'signalwire/relay/messaging/send_result.rb'
